# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetTableTypesResp

Packages that use TGetTableTypesResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetTableTypesResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetTableTypesResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetTableTypes_call`
`static class`
`TCLIService.AsyncProcessor.GetTableTypes<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetTableTypesResp
Modifier and Type
Class
Description
`class`
`TGetTableTypesResp`
`class`
`TGetTableTypesResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetTableTypesResp
Modifier and Type
Field
Description
`TGetTableTypesResp`
TCLIService.GetTableTypes_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetTableTypesResp
Modifier and Type
Method
Description
`TGetTableTypesResp`
TGetTableTypesResp.`deepCopy()`
`TGetTableTypesResp`
TCLIService.AsyncClient.GetTableTypes_call.`getResult()`
`TGetTableTypesResp`
TCLIService.GetTableTypes_result.`getSuccess()`
`TGetTableTypesResp`
TCLIService.Client.`GetTableTypes(TGetTableTypesReq req)`
`TGetTableTypesResp`
TCLIService.Iface.`GetTableTypes(TGetTableTypesReq req)`
`TGetTableTypesResp`
TCLIService.Client.`recv_GetTableTypes()`
`TGetTableTypesResp`
TGetTableTypesResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetTableTypesResp`
TGetTableTypesResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetTableTypesResp`
TGetTableTypesResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetTableTypesResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp>`
TCLIService.AsyncProcessor.GetTableTypes.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTableTypesResp
Modifier and Type
Method
Description
`int`
TGetTableTypesResp.`compareTo(TGetTableTypesResp other)`
`boolean`
TGetTableTypesResp.`equals(TGetTableTypesResp that)`
`TCLIService.GetTableTypes_result`
TCLIService.GetTableTypes_result.`setSuccess(TGetTableTypesResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetTableTypesResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetTableTypes(TGetTableTypesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetTableTypes(TGetTableTypesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetTableTypes.`start(I iface, TCLIService.GetTableTypes_args args, org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTableTypesResp
Modifier
Constructor
Description
``
`GetTableTypes_result(TGetTableTypesResp success)`
``
`TGetTableTypesResp(TGetTableTypesResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetTableTypesResp
Modifier
Constructor
Description
``
`GetTableTypes_call(TGetTableTypesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`